Page MenuHomePhabricator

Adyen in Ukrainian in Ukraine
Closed, ResolvedPublic

Description

We have the option to use Adyen for languages that other iframes don't have. Ukrainian seems like a great place to try this out as we currently have no coverage there.

Here's information about how: https://docs.adyen.com/manuals/skin-manual/managing-skins-in-the-adyen-ca/skin-configuration/extra-options

And an attached resource file.

From what they said while @Ppena and I were there in person, we should be able to customize the resource file with whatever/however many languages we want and then call those from the form.

It is possible to edit these via the Customer Area but it is clunky and not easy for lots of edits. Attached is a resource file that would be used to edit all the strings in the Skin. You would need to look at the HPP and decide what fields need what text. Once you edit this file, you would include this when uploading the skin and when you pass the language code it will render whatever is present in the resource file.

Event Timeline

atgo created this task.Jan 20 2016, 8:55 PM
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo added subscribers: atgo, Ppena.
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptJan 20 2016, 8:55 PM
atgo updated the task description. (Show Details)Jan 20 2016, 8:55 PM
atgo set Security to None.
Ata added a subscriber: Ata.May 25 2016, 2:44 PM

Should/is attached resource file translated? Just wondering what stage is this task on O:)

We may have lost track of this task. Most of us were having a conversation on T135254

On that task @awight wrote:

For the upcoming campaign, we can avoid messing with fallback order if we have our translators work on reviewing and completing the message translations:
https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-di-gc&language=uk&filter=&action=translate
https://translatewiki.net/w/i.php?title=Special:Translate&action=proofread&group=ext-centralnotice&language=uk&filter=

I'm not familiar with the translation process. Do these links help? Should this task be tagged with other projects?

@Nemo_bis
Adyen and Ingenico (or formerly "GC") are two independent payment processors, so I'm unlinking the two tasks...

Ata added a comment.May 27 2016, 2:01 PM

@DStrine, everything is translated on the links you mentioned so I guess the problem is not there.
I was talking about the file attached to the description of this task. Someone (even me) can translate it if it's still relevant and if this specific thing is the one that prevents Ukrainian version from being. ( I just don't want to start translation if it was/is made by some WMF translator already.)

Pcoombe closed this task as Resolved.Jul 26 2016, 6:05 PM
Pcoombe claimed this task.
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM